GNU bug report logs - #34915
27.0.50; Wdired regression with ls -F

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: "Basil L. Contovounesios" <contovob@HIDDEN>; Keywords: fixed; dated Tue, 19 Mar 2019 13:50:03 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 34915 <at> debbugs.gnu.org:


Received: (at 34915) by debbugs.gnu.org; 30 Dec 2019 19:38:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 30 14:38:30 2019
Received: from localhost ([127.0.0.1]:33437 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1im0s1-00019R-Ut
	for submit <at> debbugs.gnu.org; Mon, 30 Dec 2019 14:38:30 -0500
Received: from mail208c50.megamailservers.eu ([91.136.10.218]:44230
 helo=mail194c50.megamailservers.eu)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mattiase@HIDDEN>) id 1im0rz-00019I-N0
 for 34915 <at> debbugs.gnu.org; Mon, 30 Dec 2019 14:38:28 -0500
X-Authenticated-User: mattiase@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=megamailservers.eu;
 s=maildub; t=1577734705;
 bh=Yv7NTXcFexc9Jz8LX+3wwKvFnKVO6xjGtxXVEOieEKo=;
 h=From:Subject:Date:Cc:To:From;
 b=ImZhnfMfVT1iBiLySR5IpY/4bCM9ju2vbJWprcBGyJWRIh7qny+MO0seYgQKGC0cY
 eua7JcwdZ2kkTN+5WRHADqy+4bXFQ2WeGgniekSwKKcNlS2a071euxZAFsKQsjtA/r
 nMQlbX0kUhmssMJ69S5q4PPjizwow8owWC/v0gGM=
Feedback-ID: mattiase@HIDDEN
Received: from [192.168.0.4] (c188-150-171-71.bredband.comhem.se
 [188.150.171.71]) (authenticated bits=0)
 by mail194c50.megamailservers.eu (8.14.9/8.13.1) with ESMTP id xBUJcMh4019594; 
 Mon, 30 Dec 2019 19:38:24 +0000
From: =?utf-8?Q?Mattias_Engdeg=C3=A5rd?= <mattiase@HIDDEN>
Content-Type: text/plain;
	charset=us-ascii
Content-Transfer-Encoding: quoted-printable
Mime-Version: 1.0 (Mac OS X Mail 12.4 \(3445.104.11\))
Subject: Re: bug#34915: 27.0.50; Wdired regression with ls -F
Message-Id: <54069B5E-7D39-4D7D-AE95-C00686592D3F@HIDDEN>
Date: Mon, 30 Dec 2019 20:38:22 +0100
To: 34915 <at> debbugs.gnu.org
X-Mailer: Apple Mail (2.3445.104.11)
X-CTCH-RefID: str=0001.0A0B0213.5E0A5231.0007, ss=1, re=0.000, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-VOD: Unknown
X-CTCH-Spam: Unknown
X-CTCH-Score: 0.000
X-CTCH-Rules: 
X-CTCH-Flags: 0
X-CTCH-ScoreCust: 0.000
X-CSC: 0
X-CHA: v=2.3 cv=A9kSwJeG c=1 sm=1 tr=0 a=SF+I6pRkHZhrawxbOkkvaA==:117
 a=SF+I6pRkHZhrawxbOkkvaA==:17 a=kj9zAlcOel0A:10 a=M51BFTxLslgA:10
 a=OmoOcXontB8MhlCJeBkA:9 a=CjuIK1q_8ugA:10 a=Z5ABNNGmrOfJ6cZ5bIyy:22
 a=bWyr8ysk75zN3GCy5bjg:22
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 34915
Cc: "Basil L. Contovounesios" <contovob@HIDDEN>,
 Stephen Berman <stephen.berman@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Sorry about reopening, but wdired-test-bug34915 fails on macOS (and =
probably BSD in general).
It appears that GNU ls formats symlinks with ls -lF as

.... LINK -> TARGET

but macOS/BSD ls uses

.... LINK@ -> TARGET

which the new code in wdired--restore-dired-filename-prop fails to =
account for.

This was found on macOS 10.14.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34915; Package emacs. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.
bug unarchived. Request was from Mattias EngdegÄrd <mattiase@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug archived. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 34915 <at> debbugs.gnu.org:


Received: (at 34915) by debbugs.gnu.org; 26 Jun 2019 16:57:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 26 12:57:52 2019
Received: from localhost ([127.0.0.1]:36942 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hgBF2-0002rU-0q
	for submit <at> debbugs.gnu.org; Wed, 26 Jun 2019 12:57:52 -0400
Received: from mout.gmx.net ([212.227.15.18]:52095)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1hgBEz-0002rF-Bo
 for 34915 <at> debbugs.gnu.org; Wed, 26 Jun 2019 12:57:50 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1561568259;
 bh=6sWudlkATRL9ydEsqthvI+6lXtPfDTlSgFn4kCYCDqs=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:In-Reply-To:References:Date;
 b=LYHeAiiiwODzn71i+vKuYc8ol54WOGXTffj/AVakeV5N+Q9UYMhkTRiLDvSBOAi+4
 5mZbScvmjDaPdZVoGZDiQLyJt0MAbSv46rWzrbWJ41Vl+zei86SGSRd6Ra/BDBVpTn
 M+lmo0ZIf3etWIGpbgqOd5siakcziYBe7ajrwDkA=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from linux-a75o ([188.101.24.181]) by mail.gmx.com (mrgmx002
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MN0jA-1he0S23E88-006dDx; Wed, 26
 Jun 2019 18:57:39 +0200
From: Stephen Berman <stephen.berman@HIDDEN>
To: Ken Brown <kbrown@HIDDEN>
Subject: Re: bug#34915: 27.0.50; Wdired regression with ls -F
In-Reply-To: <bbbd65d9-14b3-717a-8fe5-04beba9b38ab@HIDDEN> (Ken Brown's
 message of "Wed, 26 Jun 2019 16:28:26 +0000")
Message-ID: <87pnn0b7yu.fsf@HIDDEN>
References: <871s33ugi3.fsf@HIDDEN>
 <c07c1635-41ce-3912-755f-3d69014e989a@HIDDEN>
 <bbbd65d9-14b3-717a-8fe5-04beba9b38ab@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
Date: Wed, 26 Jun 2019 18:57:36 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:saVNMYcfmdQAcrZwC47hgK9T+sH9+CGllHttwTFzvuZ0JzaqmlV
 dZ2da/4EgVPuIkNy8ynaxsBEZqH7GOV778OaXcMYS5SNa1mcQvwsmseABv6j3hqrsYFD1kW
 +god+E1fVrwKKvloq0RlwuT9UQjLv/MrUqcqxxLvR3XreL40X3x9e/MF0gX4lQSGCuuPRm3
 QOlWdtRXwL+XibZEAZApQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:TCMLnUKEl2Q=:hJJaQuPCqWlc3KqTuO69N0
 PRL2t9Yh6+4o1vkE7sxEqn7+WDO1UfOxW5T/Wod5tvS52gloiHlddzdvbftq2TaJUn9zKkLYE
 GoiayaNsbYcaK91u4uuIriTo1z1XtG5z1lEQXPuHYfailBw7EyzaxLDq4ts7xcrNg5joSEwbk
 j/UVGMjKmiTq3lr9JNMRGrG21vImQkpeX/F0A1DTh7mNhH2XUbU9zNvFJ0PL8MauEqlQ+VFV2
 yVF0bnm/db23Q52fozdfHM8sZwvEqqgrQlH8cX6y9keY7mXusGVuW4k6tytLdTUofoE0aRN0s
 htbf7OnNSPuLQKlLxb7qYXNyiuYGqEX7kIhH8ojugyYxXlK9lR/fVcG4tq0i5KBA26tcU/nxN
 inRSgDJIa9iLiESKXwOEy/cjrdFWfGlfKrRlE9C/+tH2n+zUjKttl/M0RlZEM4wTQ5Bc1AKpN
 2mwfSM4ub0aZDaTUT6doAVqR1s2295XOv0zL7KNFUVQ839k3i5VWQN2TWkO9k+p2Pk0LB4sqx
 OPn6EHLwNZ+nvoFQvktriVl7ShY8JGFX77y631P8X8/ADF3xGEjklc0+JSOA7pjuJYts1o98d
 lxAkpKBf6PrYlmPdG+awEqTUVGhMzWiXemZI+P5ZeAQcIWZt6Rr31gMm6taNKHPyXL9CyOyBB
 zgwQpChKvK/QaweOBVdcGzCSGNQ4dPFknafCGQ2oKzchplpUWBDHrOOYvTCyt5urS0k8hRXeu
 /2T4S+FulyizTUKrHL8wG14G+0bPJs1MnUO0Pr0sHDnMg4UvY0HHv08b4VVCRviGhLuq4RDgb
 Z3L42LJWUlfihicDTS/699GWeEAy/oo6FN2RinC7AaoD9dQQA44HXt1t7hszRWlGtyC31aijH
 0Paka/e75g4sWRvd/YrlZIChCVbVNS8t261c75gcPb4gmiH3IYxIL+UAD/wvJn1gIuW6uBmbx
 j8MTnrEttdTBgLAaF85tN89oXs1US8lEVJq3YK2vJBOf+bfP1v9LmnXT5ThvtdRUwNYVNUHgR
 S6eOjkcN46lcon9RrcaEhyc3y0U128/vG9Xxrc2ov5fNlpJDK6qnegS6tOP7VDHpFEEun6P0N
 Gk5Lih5WR1bgWILJzHF1bstusshrAcVwyKv
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34915
Cc: "34915-done <at> debbugs.gnu.org" <34915 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Wed, 26 Jun 2019 16:28:26 +0000 Ken Brown <kbrown@HIDDEN> wrote:

> On 5/30/2019 3:51 PM, Ken Brown wrote:
>> The fix for this bug causes wdired-tests to hang on my system (Cygwin):
>
> This turns out to be purely a Cygwin issue (involving FIFOs), having not=
hing to
> do with wdired.  Sorry for the noise.

No problem, on the contrary, I'm relieved, because I know next to
nothing about Cygwin and have no ready access to it (and I'm already in
arrears on dealing with another wdired issue).  So thanks for the good
news ;-)

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34915; Package emacs. Full text available.

Message received at 34915 <at> debbugs.gnu.org:


Received: (at 34915) by debbugs.gnu.org; 26 Jun 2019 16:28:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 26 12:28:36 2019
Received: from localhost ([127.0.0.1]:36921 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hgAmi-00024d-9Z
	for submit <at> debbugs.gnu.org; Wed, 26 Jun 2019 12:28:36 -0400
Received: from mail-eopbgr680124.outbound.protection.outlook.com
 ([40.107.68.124]:25219 helo=NAM04-BN3-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kbrown@HIDDEN>) id 1hgAme-00024G-LN
 for 34915 <at> debbugs.gnu.org; Wed, 26 Jun 2019 12:28:34 -0400
ARC-Seal: i=1; a=rsa-sha256; s=testarcselector01; d=microsoft.com; cv=none;
 b=h+HuTwCtvcitTEsm5mVkbItAjYzlP9Pl/k5OhDO02V+d7+nLG4rkTvhKEkHZVCCyjfk96D1JkSo7mIinHxVRRfmmYDcbR6UohylU4VNkcUNmqMoZiw63obA5vE2R5Nrk7rfOVplvm9JWYEZOrJP+R2jUIqRgLfOE8fgFKQJoSZQ=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=testarcselector01;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=KEsH0o8jcdVO+bpLQlZFpxghv/eGeH1RP3xLHn/wptg=;
 b=TnpWlyUXxPHV5OdmOM03vLapfAMJiY6bpDbBGUUJniAfXVEMAvXG5IEqpaoXk2skX7uYJl/HfRnkH2+3S8COCFDLGgGjTzUS//J5OCzmnZ0ma7gD8HBg00lqN+DWhaplIr3v4Gq2zMk+91ZNgnzq8FSo4jB5wV8MgFe6IDoKetY=
ARC-Authentication-Results: i=1; test.office365.com
 1;spf=none;dmarc=none;dkim=none;arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=cornell.edu;
 s=selector2;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=KEsH0o8jcdVO+bpLQlZFpxghv/eGeH1RP3xLHn/wptg=;
 b=cTSI2+bJFx1AVIVRWeEJoqTJg29jMD99qjXTsRkVqMqdhopaWzfe1DWxwhgKNaPjjmqyLQiupgl/uw3TayJ+K3wPF9uiSuFOLxXqKi8uVQZKATKs86/dbha37zEmN1e4zO0sg4sh686nbicbL/HhymmjwsMNuQL5DQVDPw8CsuE=
Received: from CY1PR04MB2300.namprd04.prod.outlook.com (10.167.10.148) by
 CY1PR04MB2346.namprd04.prod.outlook.com (10.167.9.24) with Microsoft SMTP
 Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.2008.16; Wed, 26 Jun 2019 16:28:26 +0000
Received: from CY1PR04MB2300.namprd04.prod.outlook.com
 ([fe80::e43c:48bc:36fd:1f40]) by CY1PR04MB2300.namprd04.prod.outlook.com
 ([fe80::e43c:48bc:36fd:1f40%3]) with mapi id 15.20.2008.017; Wed, 26 Jun 2019
 16:28:26 +0000
From: Ken Brown <kbrown@HIDDEN>
To: "34915-done <at> debbugs.gnu.org" <34915 <at> debbugs.gnu.org>
Subject: Re: bug#34915: 27.0.50; Wdired regression with ls -F
Thread-Topic: bug#34915: 27.0.50; Wdired regression with ls -F
Thread-Index: AQHVFyEFXw5CCpOWvUaPtoZq5E7RaKauShUA
Date: Wed, 26 Jun 2019 16:28:26 +0000
Message-ID: <bbbd65d9-14b3-717a-8fe5-04beba9b38ab@HIDDEN>
References: <871s33ugi3.fsf@HIDDEN>
 <c07c1635-41ce-3912-755f-3d69014e989a@HIDDEN>
In-Reply-To: <c07c1635-41ce-3912-755f-3d69014e989a@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
user-agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:60.0) Gecko/20100101
 Thunderbird/60.7.2
x-originating-ip: [68.175.129.7]
x-clientproxiedby: BN6PR0101CA0009.prod.exchangelabs.com
 (2603:10b6:405:2a::22) To CY1PR04MB2300.namprd04.prod.outlook.com
 (2a01:111:e400:c61b::20)
authentication-results: spf=none (sender IP is )
 smtp.mailfrom=kbrown@HIDDEN; 
x-ms-exchange-messagesentrepresentingtype: 1
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 7c5f9255-0500-486a-fea2-08d6fa53506c
x-microsoft-antispam: BCL:0; PCL:0;
 RULEID:(2390118)(7020095)(4652040)(8989299)(4534185)(4627221)(201703031133081)(201702281549075)(8990200)(5600148)(711020)(4605104)(1401327)(2017052603328)(7193020);
 SRVR:CY1PR04MB2346; 
x-ms-traffictypediagnostic: CY1PR04MB2346:
x-microsoft-antispam-prvs: <CY1PR04MB2346D8D25A9D11A965F203CFD8E20@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:6790;
x-forefront-prvs: 00808B16F3
x-forefront-antispam-report: SFV:NSPM;
 SFS:(10019020)(376002)(346002)(39860400002)(136003)(396003)(366004)(199004)(189003)(58126008)(446003)(6246003)(76176011)(75432002)(6486002)(2616005)(53546011)(478600001)(64126003)(66476007)(8936002)(68736007)(6436002)(52116002)(6512007)(476003)(486006)(316002)(11346002)(71200400001)(6116002)(256004)(71190400001)(5660300002)(81166006)(31686004)(6506007)(66066001)(36756003)(386003)(31696002)(305945005)(81156014)(7736002)(102836004)(66946007)(3846002)(86362001)(4326008)(229853002)(8676002)(14454004)(99286004)(2906002)(558084003)(73956011)(64756008)(186003)(26005)(66556008)(53936002)(6916009)(25786009)(786003)(65826007)(2351001)(66446008)(88552002)(65956001)(65806001)(491001)(159843002);
 DIR:OUT; SFP:1102; SCL:1; SRVR:CY1PR04MB2346;
 H:CY1PR04MB2300.namprd04.prod.outlook.com; FPR:; SPF:None; LANG:en;
 PTR:InfoNoRecords; A:1; MX:1; 
received-spf: None (protection.outlook.com: cornell.edu does not designate
 permitted sender hosts)
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam-message-info: AhNkYk4O0Ux6QQjBY71aTTJV+IZSbrTSrPoBlIR09kJPYw1GAjp3LpggdNoSCMXfRxOJv5fjAGOPwc0Bb0DOhT5Oho6Gbp3zEYEUL1iVJrK2fC9SfW8kFtUWX/N1IBYJ7tRnaqwEyOSmn9Rb0aWIpk2Di7BVpq5a9l/CdtIU4f9DGBO+hRY9F/oniRPjcjtAa/Ai1DxhXcebq8tAkH5kHAQ8I+dpXc0b8hLtNcr5Dy7PZECmmVVhulriZsMtoxJ/lPM7ViFTXaCQ8EO44kQkfJvTKbrK/Sy9Xlfc4OS48tBhOPktG/9K0RMAiA824xbaNaJX8XDWm7ULAgxobxEMSTFM4aSvc5u58BoeaCVTcui1JtitZeSqd7nSgT5ysifYNzkq8jcwT421+QXiAsRjJChTM16TGlybxvMhVTEyTi0=
Content-Type: text/plain; charset="utf-8"
Content-ID: <648DEEE5858665479D8EE810A3F9B68A@HIDDEN>
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-OriginatorOrg: cornell.edu
X-MS-Exchange-CrossTenant-Network-Message-Id: 7c5f9255-0500-486a-fea2-08d6fa53506c
X-MS-Exchange-CrossTenant-originalarrivaltime: 26 Jun 2019 16:28:26.2177 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 5d7e4366-1b9b-45cf-8e79-b14b27df46e1
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: ksb2@HIDDEN
X-MS-Exchange-Transport-CrossTenantHeadersStamped: CY1PR04MB2346
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34915
Cc: Stephen Berman <stephen.berman@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

T24gNS8zMC8yMDE5IDM6NTEgUE0sIEtlbiBCcm93biB3cm90ZToNCj4gVGhlIGZpeCBmb3IgdGhp
cyBidWcgY2F1c2VzIHdkaXJlZC10ZXN0cyB0byBoYW5nIG9uIG15IHN5c3RlbSAoQ3lnd2luKToN
Cg0KVGhpcyB0dXJucyBvdXQgdG8gYmUgcHVyZWx5IGEgQ3lnd2luIGlzc3VlIChpbnZvbHZpbmcg
RklGT3MpLCBoYXZpbmcgbm90aGluZyB0byANCmRvIHdpdGggd2RpcmVkLiAgU29ycnkgZm9yIHRo
ZSBub2lzZS4NCg0KS2VuDQo=




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34915; Package emacs. Full text available.

Message received at 34915 <at> debbugs.gnu.org:


Received: (at 34915) by debbugs.gnu.org; 30 May 2019 19:51:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 30 15:51:15 2019
Received: from localhost ([127.0.0.1]:33935 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hWR50-0001Kp-Vs
	for submit <at> debbugs.gnu.org; Thu, 30 May 2019 15:51:15 -0400
Received: from mail-eopbgr810114.outbound.protection.outlook.com
 ([40.107.81.114]:10813 helo=NAM01-BY2-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kbrown@HIDDEN>) id 1hWR4z-0001KT-OC
 for 34915 <at> debbugs.gnu.org; Thu, 30 May 2019 15:51:14 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=cornell.edu;
 s=selector2;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=U3Kryzva2YFB3xmlhsqfpQRZdDWAFKF4enQQcGX73vo=;
 b=A8EDxxgoWM/6drCfNajkKUyh21y2X1qxzWmy9aQoTNPnaxfrLpQP2MEGMXDWQ+WBPv9nwkItunBcldPQKMHE5NJ2Mo4P95pvOxw6WcTQs/bR9NAXTGIvSmy4HFRTqf5UWCrn5PqrwWIoX87h3WLgcfF9msukLG5yGV41tmF0pTQ=
Received: from DM6PR04MB5211.namprd04.prod.outlook.com (20.178.24.208) by
 DM6PR04MB5788.namprd04.prod.outlook.com (20.179.49.29) with Microsoft SMTP
 Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.1922.16; Thu, 30 May 2019 19:51:06 +0000
Received: from DM6PR04MB5211.namprd04.prod.outlook.com
 ([fe80::510a:3a42:f346:a4d8]) by DM6PR04MB5211.namprd04.prod.outlook.com
 ([fe80::510a:3a42:f346:a4d8%7]) with mapi id 15.20.1922.024; Thu, 30 May 2019
 19:51:06 +0000
From: Ken Brown <kbrown@HIDDEN>
To: "34915 <at> debbugs.gnu.org" <34915 <at> debbugs.gnu.org>
Subject: Re: bug#34915: 27.0.50; Wdired regression with ls -F
Thread-Topic: bug#34915: 27.0.50; Wdired regression with ls -F
Thread-Index: AQHVFyEFXw5CCpOWvUaPtoZq5E7RaA==
Date: Thu, 30 May 2019 19:51:06 +0000
Message-ID: <c07c1635-41ce-3912-755f-3d69014e989a@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
user-agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:60.0) Gecko/20100101
 Thunderbird/60.7.0
x-originating-ip: [2604:6000:b407:7f00:7187:8987:1106:ca77]
x-clientproxiedby: BN6PR1301CA0023.namprd13.prod.outlook.com
 (2603:10b6:405:29::36) To DM6PR04MB5211.namprd04.prod.outlook.com
 (2603:10b6:5:103::16)
authentication-results: spf=none (sender IP is )
 smtp.mailfrom=kbrown@HIDDEN; 
x-ms-exchange-messagesentrepresentingtype: 1
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 1d2791d1-6169-448c-e0d4-08d6e53827b5
x-microsoft-antispam: BCL:0; PCL:0;
 RULEID:(2390118)(7020095)(4652040)(8989299)(5600148)(711020)(4605104)(1401327)(4534185)(4627221)(201703031133081)(201702281549075)(8990200)(2017052603328)(7193020);
 SRVR:DM6PR04MB5788; 
x-ms-traffictypediagnostic: DM6PR04MB5788:
x-microsoft-antispam-prvs: <DM6PR04MB5788DF7CD1EB8EEA64154118D8180@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:6430;
x-forefront-prvs: 00531FAC2C
x-forefront-antispam-report: SFV:NSPM;
 SFS:(10019020)(346002)(376002)(136003)(366004)(396003)(39860400002)(189003)(199004)(31686004)(6116002)(58126008)(53936002)(6512007)(6916009)(6486002)(86362001)(81166006)(25786009)(52116002)(46003)(486006)(256004)(81156014)(2616005)(476003)(99286004)(229853002)(2906002)(5660300002)(14454004)(305945005)(6246003)(36756003)(7736002)(65956001)(316002)(8676002)(786003)(4326008)(65806001)(2351001)(5640700003)(65826007)(68736007)(6506007)(386003)(64126003)(8936002)(6436002)(186003)(102836004)(66946007)(73956011)(88552002)(66446008)(64756008)(66556008)(66476007)(2501003)(75432002)(71200400001)(31696002)(478600001)(71190400001)(159843002);
 DIR:OUT; SFP:1102; SCL:1; SRVR:DM6PR04MB5788;
 H:DM6PR04MB5211.namprd04.prod.outlook.com; FPR:; SPF:None; LANG:en;
 PTR:InfoNoRecords; MX:1; A:1; 
received-spf: None (protection.outlook.com: cornell.edu does not designate
 permitted sender hosts)
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam-message-info: +AjsflU57jUiLZfL498Qi0mOI+soYyeX19JYZyb/YUrxA3gG88sCgWJLbihvqaaXwQpu3Ff6JkOBxu8dH/ri92xXaSMkrO7dWm8xYWflP5EAlE+0KsjmnF4FTEKjxa/OA8Aph4PegoYCqQ99C2F/z3Nz+yFhXacNKVyqGgnH4yyXPO98Ah/slS4O8VjqXdsDNuSPF0SxU1fsg50VLffcqhhsmDzzUiuCbaPTw7RLJBjCNJL2yOssLhuUZ7XS/O+KWMk1MW9s/EZS4xD2jiM+EqNnbhi5PWj/ZW2Yrghc27LI1vfjMT9fnIbuufoiD1BH/BizqLKlZgKpDKLL9bnZrQ2fVdLOA/Pxs/GwoiIIZay1PIsBtU9DkDhd0LfcB2h8dhh3ahz9EUl4akNgqHxUO7+wUMjDXF/N2qumK1ZfxEM=
Content-Type: text/plain; charset="utf-8"
Content-ID: <C5D1CCAEBD14CA4196D1D8241095BA27@HIDDEN>
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-OriginatorOrg: cornell.edu
X-MS-Exchange-CrossTenant-Network-Message-Id: 1d2791d1-6169-448c-e0d4-08d6e53827b5
X-MS-Exchange-CrossTenant-originalarrivaltime: 30 May 2019 19:51:06.8513 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 5d7e4366-1b9b-45cf-8e79-b14b27df46e1
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: ksb2@HIDDEN
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DM6PR04MB5788
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34915
Cc: Stephen Berman <stephen.berman@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

VGhlIGZpeCBmb3IgdGhpcyBidWcgY2F1c2VzIHdkaXJlZC10ZXN0cyB0byBoYW5nIG9uIG15IHN5
c3RlbSAoQ3lnd2luKToNCg0KJCBtYWtlIC1DIHRlc3Qgd2RpcmVkLXRlc3RzDQptYWtlOiBFbnRl
cmluZyBkaXJlY3RvcnkgJy9ob21lL2ticm93bi9zcmMvZW1hY3MvaTY4Ni90ZXN0Jw0KbWFrZVsx
XTogRW50ZXJpbmcgZGlyZWN0b3J5ICcvaG9tZS9rYnJvd24vc3JjL2VtYWNzL2k2ODYvdGVzdCcN
CiAgIEdFTiAgICAgIGxpc3Avd2RpcmVkLXRlc3RzLmxvZw0KUnVubmluZyA1IHRlc3RzICgyMDE5
LTA1LTMwIDE1OjM5OjA3LTA0MDAsIHNlbGVjdG9yIGAobm90ICh0YWcgOnVuc3RhYmxlKSknKQ0K
UHJlc3MgQy1jIEMtYyB3aGVuIGZpbmlzaGVkIG9yIEMtYyBFU0MgdG8gYWJvcnQgY2hhbmdlcw0K
TW92ZTogMSBvZiAxDQpNb3ZlOiAxIGZpbGUgZG9uZQ0KICAgIHBhc3NlZCAgMS81ICB3ZGlyZWQt
dGVzdC1idWczMjE3My0wMSAoMC4xODkyMzEgc2VjKQ0KUHJlc3MgQy1jIEMtYyB3aGVuIGZpbmlz
aGVkIG9yIEMtYyBFU0MgdG8gYWJvcnQgY2hhbmdlcw0KICAgIHBhc3NlZCAgMi81ICB3ZGlyZWQt
dGVzdC1idWczMjE3My0wMiAoMC4xNDA2NTkgc2VjKQ0KKFNoZWxsIGNvbW1hbmQgc3VjY2VlZGVk
IHdpdGggbm8gb3V0cHV0KQ0KQ29ubmVjdGlvbiBmaWxlICIvdG1wL2VtYWNzMTk3NjA5L3NlcnZl
ciIgZGVsZXRlZA0KUHJlc3MgQy1jIEMtYyB3aGVuIGZpbmlzaGVkIG9yIEMtYyBFU0MgdG8gYWJv
cnQgY2hhbmdlcw0KQ29ubmVjdGlvbiBmaWxlICIvdG1wL2VtYWNzMTk3NjA5L3NlcnZlciIgZGVs
ZXRlZA0KDQpbQXQgdGhpcyBwb2ludCBJIGtpbGwgaXQgd2l0aCBDLWMuXQ0KDQpJIGRvbid0IHVz
ZSB3ZGlyZWQsIHNvIEkgaGF2ZW4ndCBtYWRlIGEgc2VyaW91cyBlZmZvcnQgdG8gdHJhY2sgZG93
biB0aGUgY2F1c2UuIA0KSSB0aG91Z2h0IGF0IGZpcnN0IHRoYXQgaXQgbWlnaHQgaGF2ZSBzb21l
dGhpbmcgdG8gZG8gd2l0aCB0aGUgZm9sbG93aW5nIGFsaWFzIA0KdGhhdCBJIHVzZToNCg0KYWxp
YXMgbHM9J2xzIC1GIC0tY29sb3I9dHR5Jw0KDQpCdXQgdGhlIHByb2JsZW0gcGVyc2lzdGVkIGFm
dGVyIEkgbW92ZWQgbXkgLmJhc2hyYyBvdXQgb2YgdGhlIHdheS4NCg0KS2VuDQo=




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34915; Package emacs. Full text available.
bug unarchived. Request was from Ken Brown <kbrown@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug archived. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 34915-done <at> debbugs.gnu.org:


Received: (at 34915-done) by debbugs.gnu.org; 26 Apr 2019 16:20:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 26 12:20:41 2019
Received: from localhost ([127.0.0.1]:33422 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hK3aZ-0000EX-TR
	for submit <at> debbugs.gnu.org; Fri, 26 Apr 2019 12:20:41 -0400
Received: from mail-ed1-f54.google.com ([209.85.208.54]:41510)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1hK3aX-0000EC-UI
 for 34915-done <at> debbugs.gnu.org; Fri, 26 Apr 2019 12:20:38 -0400
Received: by mail-ed1-f54.google.com with SMTP id m4so3635770edd.8
 for <34915-done <at> debbugs.gnu.org>; Fri, 26 Apr 2019 09:20:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=Kr0mOVHCHyQV3G/loRdKrQX1ZgAkqThs4YXPgOgQLP0=;
 b=t3ZCfKxNNlw/ildLeMuJgb01w98ezh/RiBiakVMY8/gDtgh6IGRwnBeflQuiyYjvVN
 kOtw1OlTRZj5MKunLThA5GRzRVDqSLFEVnLUOns4CLcdqJynpplGfqFWZVA5opoX9c+l
 blol2vZZeNkEd47jG79i/Dv8X+aAZUJHIM28JEcaDRmOM/Qh1WYYpVD6pS76Zkl154H2
 mChcQCMSvV5g7wGfcgAJmTyjYJNas1YDn3HQCg/H5YEplrgyICMmC2X84EtZpYaEblHo
 CQWcMwME9wbtxrTY3LTm+s2F3Rh7RafuypS9/tQIOkpVr+iZUsqisyt6jPqQAkixBx3l
 2TjA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=Kr0mOVHCHyQV3G/loRdKrQX1ZgAkqThs4YXPgOgQLP0=;
 b=gv5xfGuu4dOAgQeaUx2WBtJxR8j2dW6cBkt0iACYKZ5P8Djh3rHgeiTExrukujSbzc
 WTulKV09sdPcQ4PEeaBB770mL/O5OTclXJ9KqmkFa+1gn1cuBRT885hzTsSMD9mLY2Jz
 NBZKlIwk+XK96GbfOLU2GAHKrxJyqy6baHdOuUg721SnmL6xZT5I1HEBOcfV4XgskAEP
 rg5Pd6AA3MgVkMr3uLbbEufTxuG58S/I/GtAbaRD5+27onhHS4v1UOC+cKcmuAVnJrzo
 D9tQ1/SgWe3TPjWqpoqTAIEKj4mbiYdoBPxh3pKs8Rzr3wo+sqdVqljko6OXhusp5uOw
 EeTA==
X-Gm-Message-State: APjAAAUHxl30ZHp4NMfcsrF01bYMMvv+2XUj2RjcuXGNKVgSdamXRSi6
 SLXauY5+t5KLMflPlNOI22GkbA==
X-Google-Smtp-Source: APXvYqxxFWUMJblIZ2LBsospfL1T6vp5WL2zOPAIqD0vOXVlCVShBWJTAF3bA3VTPKKL/e+2l2TsUg==
X-Received: by 2002:a17:906:d206:: with SMTP id
 w6mr9592618ejz.248.1556295632038; 
 Fri, 26 Apr 2019 09:20:32 -0700 (PDT)
Received: from localhost ([2a02:8084:20e2:c380:8cad:ae29:555d:852d])
 by smtp.gmail.com with ESMTPSA id l46sm7284353edb.24.2019.04.26.09.20.31
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Fri, 26 Apr 2019 09:20:31 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#34915: 27.0.50; Wdired regression with ls -F
References: <871s33ugi3.fsf@HIDDEN> <87sguncsz9.fsf@HIDDEN>
 <87d0lrcrda.fsf@HIDDEN> <87ftqncr05.fsf@HIDDEN>
 <87sgu6f0zp.fsf@HIDDEN> <87d0l8hnti.fsf@HIDDEN>
 <87r29o3g47.fsf@HIDDEN>
Date: Fri, 26 Apr 2019 17:20:30 +0100
In-Reply-To: <87r29o3g47.fsf@HIDDEN> (Stephen Berman's message of "Fri, 26
 Apr 2019 18:07:04 +0200")
Message-ID: <87v9z0g2lt.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34915-done
Cc: 34915-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

tags 34915 fixed
close 34915
quit

Stephen Berman <stephen.berman@HIDDEN> writes:

> On Fri, 26 Apr 2019 14:56:57 +0100 "Basil L. Contovounesios" <contovob@HIDDEN> wrote:
>
>> Thanks.  I noticed an opportunity for a tiny bit of reuse:
> [...]
>
> I'm not sure the two uses justify a new function, but I don't oppose
> it.

I'll leave it for now.

>> Which makes me wonder: is there no Dired function that
>> wdired--restore-dired-filename-prop can reuse for finding the boundaries
>> of a file name?  Is dired-move-to-end-of-filename not suitable?  It
>> seems to perform similar checks for symlinks and --classify.
>
> dired-move-to-end-of-filename doesn't work in wdired-mode because the
> dired-filename text property it uses was removed to fix bug#32173, and
> wdired--restore-dired-filename-prop was added to compensate.  I couldn't
> come up with a more elegant solution.

Thanks for explaining and for working on this.  Since your patch fixed
the bug, I'm closing this report.

-- 
Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34915; Package emacs. Full text available.
bug closed, send any further explanations to 34915 <at> debbugs.gnu.org and "Basil L. Contovounesios" <contovob@HIDDEN> Request was from "Basil L. Contovounesios" <contovob@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from "Basil L. Contovounesios" <contovob@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 34915 <at> debbugs.gnu.org:


Received: (at 34915) by debbugs.gnu.org; 26 Apr 2019 16:07:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 26 12:07:15 2019
Received: from localhost ([127.0.0.1]:33407 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hK3Nb-0008Ju-In
	for submit <at> debbugs.gnu.org; Fri, 26 Apr 2019 12:07:15 -0400
Received: from mout.gmx.net ([212.227.17.20]:51493)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1hK3Na-0008Ji-Jv
 for 34915 <at> debbugs.gnu.org; Fri, 26 Apr 2019 12:07:15 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1556294826;
 bh=M0zfm2n1NR5ntqhFj2na+82F7iU33vBFzmCon+5NPn8=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=XXMuZUfEpsgEh8OV3SfCpLacHTxL0U/ArUvVMc2KmDxC/fAvzmwLRpeDdC54s9tYj
 5tYbbpIAeC0WxvzWx6IOAodSpCFt74saxfOtYfiLofVS8znmn+BqMMwcfLpvcC63G4
 0V9pRhgf9ehvcDkUTHiTI+KjXOUKT3kh4LBBBy3s=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from linux-tuxedo ([188.109.169.84]) by mail.gmx.com (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1N0oG5-1gYhYd1z3l-00wjKk; Fri, 26
 Apr 2019 18:07:06 +0200
From: Stephen Berman <stephen.berman@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>
Subject: Re: bug#34915: 27.0.50; Wdired regression with ls -F
References: <871s33ugi3.fsf@HIDDEN> <87sguncsz9.fsf@HIDDEN>
 <87d0lrcrda.fsf@HIDDEN> <87ftqncr05.fsf@HIDDEN>
 <87sgu6f0zp.fsf@HIDDEN> <87d0l8hnti.fsf@HIDDEN>
Date: Fri, 26 Apr 2019 18:07:04 +0200
In-Reply-To: <87d0l8hnti.fsf@HIDDEN> (Basil L. Contovounesios's message of
 "Fri, 26 Apr 2019 14:56:57 +0100")
Message-ID: <87r29o3g47.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:v/w2bPQ5Iv+Srsu9+98geBSzXl02ewattPty8ZgBRjPlnolDoYz
 eh3uKEPQn129gckfzJeENeaawNy+Yts6gCunuzu8gux4jzNK9s4KdG3D4zEhtUvQLnNyD/l
 jQ1WXa/Ob7E3QAAywBHvSwMWwZYZids36XnV+efpkdIm33xTXgWOz7nnVPvF8QSOSH9/yOa
 aGSBZID+ezqt5kfPmMRNw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:RwG45375L70=:befTvJn7VMteVCd4MIkOO6
 9sztadzrZe+MmDuGQPe2tIFmgtO/dc1ZK6X3aWDoLsp3+y5GkFbo7F7104r19GFbyDUEoUOo6
 1zrzqfaU8o2mn2iVZScSFA3Z0Gf7Z1S9XpzfYKXv5JVZsz7of6gI8O9eGjOsFrBlpV7Kz3As+
 TQI87U3MfYTklREbRikvDWL9lIJ37AR834TCMebZd4Sc2bXQ2uN1dn3S8kP2Ac42i5ZpNsAUY
 eLxDSDOcZmBQeOIxTxVk6hCzQHubGivsywyZHCIP7KYS27kiXperudruK5SkyUQp/wAQzN5+z
 mJLDcEHJcoerG3V/dUK2D0ksBsf0jVyx0lSHnoP37SI49dWInSvN6osP2kabTN0Cs+WYkHSFt
 Qx5lEWPwQYV9vhqClK9PwXLGJmBwujNDGHqqQ0qDY2dePrrYhAgowIvV5IAHyu44+VctVG5Nx
 CYVVYkQhLIapZCdb0CVaqM3S7vikoroVEbQZYx26REPpJuQMrAfll5XRYESKrgGjmNTmTqGE5
 Gqyip3xUHNX0iJhidkv9IXbHDHLn5f428DU+ZQIN7YtdAtGlQdpTfXgDUMyvmBgIBWPu8vcl5
 7yjVwgeVwfffpr5790QzniidJMMbOXEL45CbZa/0uJbvpnulvORr9lCU7ryXC4bl5Tjk6pVL3
 F0RjTEBfu0bfWbUfDakruYdTGqfTw0WGb0xqlIlPE9nbWbOUQ5T37afVvV29tFjv033kInFR3
 rHMCUtYqu0yQQWZbmCSOVh1iQ5a3B9yWMzCF61NLLfHa+XBta97+YguavU2gPKRZ2rO8rk2Ch
 JPalEaHIZjJ59s302OmkmAS7y2fnKbh5wNlJ6OAn8qK7pMj9JQRohVog9485MM5JcM3yYtKSF
 MrzKigpKBsHjA+xBlnshPKGqP4PBcBybWU6gPw3QuBBRHCm0Yhve+zuNg09Y+gjFvCifbn0Rt
 0kTEo75MRXg==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34915
Cc: 34915 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Fri, 26 Apr 2019 14:56:57 +0100 "Basil L. Contovounesios" <contovob@HIDDEN> wrote:

> Stephen Berman <stephen.berman@HIDDEN> writes:
>
>> On Fri, 12 Apr 2019 15:06:18 +0200 Stephen Berman <stephen.berman@HIDDEN> wrote:
>>
>>> On Fri, 12 Apr 2019 13:58:25 +0100 "Basil L. Contovounesios"
>>> <contovob@HIDDEN> wrote:
>>>
>>>> Stephen Berman <stephen.berman@HIDDEN> writes:
>>>>
>>>>> On Tue, 19 Mar 2019 13:43:16 +0000 "Basil L. Contovounesios"
>>>>> <contovob@HIDDEN> wrote:
>>>>>
>>>>>> It seems like Wdired thinks the indicators added by ls (one of */=>@|)
>>>>>> are part of the file name now.
>>>>>
>>>>> This is indeed due to my changes.  The patch below appears to fix the
>>>>> problem, but I'm not sure how robust it is (I was also, and remain,
>>>>> unsure about my handling of symlinks in the previous patch, but I
>>>>> haven't found time to look at it more closely; at least I haven't seen
>>>>> any bug reports about it so far).
>>>>
>>>> I can confirm your patch fixes the issue, thanks!
>>>
>>> Thanks for testing.  If there are no objections within a few days, I'll
>>> push it to master.
>>
>> I didn't expect "a few days" to become almost two weeks, but I've
>> finally pushed the fix to master as commit 6d8e0fc5aa.  I slightly
>> changed the patch to account for using either the short or long form of
>> the indicator switch, and I added a test.
>
> Thanks.  I noticed an opportunity for a tiny bit of reuse:
[...]

I'm not sure the two uses justify a new function, but I don't oppose it.

> Which makes me wonder: is there no Dired function that
> wdired--restore-dired-filename-prop can reuse for finding the boundaries
> of a file name?  Is dired-move-to-end-of-filename not suitable?  It
> seems to perform similar checks for symlinks and --classify.

dired-move-to-end-of-filename doesn't work in wdired-mode because the
dired-filename text property it uses was removed to fix bug#32173, and
wdired--restore-dired-filename-prop was added to compensate.  I couldn't
come up with a more elegant solution.

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34915; Package emacs. Full text available.

Message received at 34915 <at> debbugs.gnu.org:


Received: (at 34915) by debbugs.gnu.org; 26 Apr 2019 13:58:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 26 09:58:04 2019
Received: from localhost ([127.0.0.1]:33304 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hK1MZ-00057t-Tn
	for submit <at> debbugs.gnu.org; Fri, 26 Apr 2019 09:58:04 -0400
Received: from mail-ed1-f41.google.com ([209.85.208.41]:33745)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1hK1MX-00057H-Nt
 for 34915 <at> debbugs.gnu.org; Fri, 26 Apr 2019 09:58:02 -0400
Received: by mail-ed1-f41.google.com with SMTP id d55so1410312ede.0
 for <34915 <at> debbugs.gnu.org>; Fri, 26 Apr 2019 06:58:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:in-reply-to:references:user-agent:date
 :message-id:mime-version;
 bh=j2QQzHndcQJ/5f3f3lSr0HTDCJbpfPn0UkE01pbRiUo=;
 b=isAv4XtZBstqm1PQoTRdSW3vUmpP41c/uJs4NISh4ZYU8XT+b/ZRiLlvkDGuMbgbZW
 fhE/e9SvGq6CnZRN54+RrD7Btt4WhfGDyBnj9O6U+XrRhhArwdGOF5NT2GOQqBiVc0pI
 uwUOqbtska7ux0I0bdGybxxLURnAQIsDoPE4EWZXjKpfHzyIA5lsoR0Ye5WTdYmUqfg1
 5uz+S1eKwMqmWLTV37OvKKHjZ2+/FIOv58vJ1sFRv1/B3wFyM9FyctIgHBGo7NfPsAFh
 n+G1f6tGMOuysiOTUNj8cWf5L8CWuLITf0YDnRuyhCdoGJ6Mq46du3dHJne54eGvA99B
 KMzQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references
 :user-agent:date:message-id:mime-version;
 bh=j2QQzHndcQJ/5f3f3lSr0HTDCJbpfPn0UkE01pbRiUo=;
 b=nfD/Qz02LNITyDko2+QVfRWSZ9SQpBs63/UiDTdoxArl7TB4zQYq+1qYUgOyjdw6Cq
 5ygMQRL1b6MA8VUZft7BwkcevJi2brSjmzd3E9B9SVZGGNSH/vqmkvcOqVuOHeVcgDrq
 wOPLVdIDM6TQd0up1kBNpcxKEACadAQa2Ah/Tsq6OkW105pXNNNaj/mPTvFaA7VRwcnT
 WWkEkntiqMDR4LPmEOg5TxiW1Blw91TzDSwFsFSE+cWgzj2LLkqYbky0JkGC4GmrK7v4
 ehkiNeHJWvPvzyCDA79qbxEPJkgEeGCtKUEXQl8Hd7hgKcTZ6iu+dcBWBIOY26xxO7jI
 XbNQ==
X-Gm-Message-State: APjAAAUIUc5QaE0uQh8iRkxBZV6WpcAEgMoqK3IFqQoHBsa9yccgHK41
 o/6xP2kevo7/iENhMWA/N/eMyicwYOk=
X-Google-Smtp-Source: APXvYqyx7F/C09uIF/FaMeGPTGlsoJXrCdTL9gmaaXCFyNGj9nMSJ39PswBVi1C7bVMCOe1x+ei2yQ==
X-Received: by 2002:a17:906:2601:: with SMTP id
 h1mr22923840ejc.70.1556287076006; 
 Fri, 26 Apr 2019 06:57:56 -0700 (PDT)
Received: from localhost ([2a02:8084:20e2:c380:8cad:ae29:555d:852d])
 by smtp.gmail.com with ESMTPSA id o9sm3542886edh.95.2019.04.26.06.57.55
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Fri, 26 Apr 2019 06:57:55 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#34915: 27.0.50; Wdired regression with ls -F
In-Reply-To: <87sgu6f0zp.fsf@HIDDEN> (Stephen Berman's message of "Thu, 25
 Apr 2019 19:28:26 +0200")
References: <871s33ugi3.fsf@HIDDEN> <87sguncsz9.fsf@HIDDEN>
 <87d0lrcrda.fsf@HIDDEN> <87ftqncr05.fsf@HIDDEN>
 <87sgu6f0zp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
Date: Fri, 26 Apr 2019 14:57:53 +0100
Message-ID: <87bm0shnry.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34915
Cc: 34915 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Stephen Berman <stephen.berman@HIDDEN> writes:

> On Fri, 12 Apr 2019 15:06:18 +0200 Stephen Berman <stephen.berman@HIDDEN> wrote:
>
>> On Fri, 12 Apr 2019 13:58:25 +0100 "Basil L. Contovounesios" <contovob@HIDDEN> wrote:
>>
>>> Stephen Berman <stephen.berman@HIDDEN> writes:
>>>
>>>> On Tue, 19 Mar 2019 13:43:16 +0000 "Basil L. Contovounesios"
>>>> <contovob@HIDDEN> wrote:
>>>>
>>>>> It seems like Wdired thinks the indicators added by ls (one of */=>@|)
>>>>> are part of the file name now.
>>>>
>>>> This is indeed due to my changes.  The patch below appears to fix the
>>>> problem, but I'm not sure how robust it is (I was also, and remain,
>>>> unsure about my handling of symlinks in the previous patch, but I
>>>> haven't found time to look at it more closely; at least I haven't seen
>>>> any bug reports about it so far).
>>>
>>> I can confirm your patch fixes the issue, thanks!
>>
>> Thanks for testing.  If there are no objections within a few days, I'll
>> push it to master.
>
> I didn't expect "a few days" to become almost two weeks, but I've
> finally pushed the fix to master as commit 6d8e0fc5aa.  I slightly
> changed the patch to account for using either the short or long form of
> the indicator switch, and I added a test.

Thanks.  I noticed an opportunity for a tiny bit of reuse:


--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline; filename=classify.diff

diff --git a/lisp/dired.el b/lisp/dired.el
index 63082fe392..3050a4bd2d 100644
--- a/lisp/dired.el
+++ b/lisp/dired.el
@@ -1261,6 +1261,10 @@ dired-switches-recursive-p
   "Return non-nil if the string SWITCHES contains -R or --recursive."
   (dired-check-switches switches "R" "recursive"))
 
+(defun dired-switches-classify-p (switches)
+  "Return non-nil if the string SWITCHES contains -F or --classify."
+  (dired-check-switches switches "F" "classify"))
+
 (defun dired-insert-directory (dir switches &optional file-list wildcard hdr)
   "Insert a directory listing of DIR, Dired style.
 Use SWITCHES to make the listings.
@@ -2588,7 +2592,7 @@ dired-move-to-end-of-filename
   (if (get-text-property (point) 'dired-filename)
       (goto-char (next-single-property-change (point) 'dired-filename))
     (let ((opoint (point))
-          (used-F (dired-check-switches dired-actual-switches "F" "classify"))
+          (used-F (dired-switches-classify-p dired-actual-switches))
           (eol (line-end-position))
           (hidden (dired--hidden-p))
           file-type executable symlink)
diff --git a/lisp/wdired.el b/lisp/wdired.el
index d2a298bd25..1e9c7f6c5a 100644
--- a/lisp/wdired.el
+++ b/lisp/wdired.el
@@ -626,8 +626,7 @@ wdired--restore-dired-filename-prop
                          ;; or "classify", don't treat appended
                          ;; indicator characters as part of the file
                          ;; name (bug#34915).
-                         (and (dired-check-switches dired-actual-switches
-                                                    "F" "classify")
+                         (and (dired-switches-classify-p dired-actual-switches)
                               (re-search-forward "[*/@|=>]$" lep t)))
                         (goto-char (match-beginning 0))
                       lep))

--=-=-=
Content-Type: text/plain


Which makes me wonder: is there no Dired function that
wdired--restore-dired-filename-prop can reuse for finding the boundaries
of a file name?  Is dired-move-to-end-of-filename not suitable?  It
seems to perform similar checks for symlinks and --classify.

-- 
Basil

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34915; Package emacs. Full text available.

Message received at 34915 <at> debbugs.gnu.org:


Received: (at 34915) by debbugs.gnu.org; 26 Apr 2019 13:57:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 26 09:57:17 2019
Received: from localhost ([127.0.0.1]:33300 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hK1Lp-00056S-Eq
	for submit <at> debbugs.gnu.org; Fri, 26 Apr 2019 09:57:17 -0400
Received: from mail-ed1-f42.google.com ([209.85.208.42]:34914)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1hK1Lk-00056B-2T
 for 34915 <at> debbugs.gnu.org; Fri, 26 Apr 2019 09:57:12 -0400
Received: by mail-ed1-f42.google.com with SMTP id y67so3278141ede.2
 for <34915 <at> debbugs.gnu.org>; Fri, 26 Apr 2019 06:57:11 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=j2QQzHndcQJ/5f3f3lSr0HTDCJbpfPn0UkE01pbRiUo=;
 b=m5K/mms6NP14jByW/aJ4OwKrIZhfC8S+TmOA4Runw269Tnsnlgg6zM73xonH43T7aW
 uOaosAywrhV0QKsQ5sLEkeKfoo6SMRW5i8GMxbLdlpVGTyIjUqniyfwP+uMKjPnvIkZV
 JNWBk15OjdPgVEBQeMn/q/fDSOGK4VWbkvNgLToWq6UGwOKk9pjR/1U7qmnf8IJQVTDp
 4b65C1ES7kbn4MLsMOvQBTBggneA50TenpEZNYLt4wOvWv6zkjZhCmlTpaMX+wVkp+PI
 j9SVQfVGat6S+bbdal4PwnLUTRQeWVuIkR4KFdKTqzIaEO3hKJLPQM8fs5XVrAfgcm7c
 mrxg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=j2QQzHndcQJ/5f3f3lSr0HTDCJbpfPn0UkE01pbRiUo=;
 b=QXF3HhIZECXKG5wDw4fVmTH23y2z0wRVwh0/3kr8r+7KyMoeFRk3tgFl/KTL4Ue7I1
 iaZVQ6BPvJ3ZSVV9SyNlzU/W+dTByS3L9l9/wntv4BBzniyunQZKsKFN1/ZXNHuNkJwh
 amoeIyWIZh0liCOgRvFqWIRTbydadWGByZh2+MWFIqB0LyaglhO0eHf0lxZLTvkLM4d+
 MKDXOzX2bU8uDfadqh3oEhGmiJCUVAG/oJThqBbOvpSVWiJf7VbQVFcXtS1IWVKx6UsM
 GC8UFFgtTDi+j08gMoNulRMt21hPwMs5dagDdnvppFpm6kpi154kRtzAWH+gHRHENxn8
 YqSg==
X-Gm-Message-State: APjAAAWNjcXJbkpMrkaCI9UeQFNosr0GfjoSswry3G1nj55eRgJ51Fhc
 HOqo/4C8JZ/JS18TGyoxk3irGA==
X-Google-Smtp-Source: APXvYqzZEHCoOBrwzPC77S46XybaD26gQpA8uNDrc0dmfiXKe2R3TTYrO68m8d/+BX+iJywW15dLJQ==
X-Received: by 2002:a17:906:1146:: with SMTP id
 i6mr22089130eja.21.1556287026009; 
 Fri, 26 Apr 2019 06:57:06 -0700 (PDT)
Received: from localhost ([2a02:8084:20e2:c380:8cad:ae29:555d:852d])
 by smtp.gmail.com with ESMTPSA id s56sm1329488edd.35.2019.04.26.06.57.03
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Fri, 26 Apr 2019 06:57:03 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#34915: 27.0.50; Wdired regression with ls -F
References: <871s33ugi3.fsf@HIDDEN> <87sguncsz9.fsf@HIDDEN>
 <87d0lrcrda.fsf@HIDDEN> <87ftqncr05.fsf@HIDDEN>
 <87sgu6f0zp.fsf@HIDDEN>
Date: Fri, 26 Apr 2019 14:56:57 +0100
In-Reply-To: <87sgu6f0zp.fsf@HIDDEN> (Stephen Berman's message of "Thu, 25
 Apr 2019 19:28:26 +0200")
Message-ID: <87d0l8hnti.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 34915
Cc: 34915 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.2 (-)

--=-=-=
Content-Type: text/plain

Stephen Berman <stephen.berman@HIDDEN> writes:

> On Fri, 12 Apr 2019 15:06:18 +0200 Stephen Berman <stephen.berman@HIDDEN> wrote:
>
>> On Fri, 12 Apr 2019 13:58:25 +0100 "Basil L. Contovounesios" <contovob@HIDDEN> wrote:
>>
>>> Stephen Berman <stephen.berman@HIDDEN> writes:
>>>
>>>> On Tue, 19 Mar 2019 13:43:16 +0000 "Basil L. Contovounesios"
>>>> <contovob@HIDDEN> wrote:
>>>>
>>>>> It seems like Wdired thinks the indicators added by ls (one of */=>@|)
>>>>> are part of the file name now.
>>>>
>>>> This is indeed due to my changes.  The patch below appears to fix the
>>>> problem, but I'm not sure how robust it is (I was also, and remain,
>>>> unsure about my handling of symlinks in the previous patch, but I
>>>> haven't found time to look at it more closely; at least I haven't seen
>>>> any bug reports about it so far).
>>>
>>> I can confirm your patch fixes the issue, thanks!
>>
>> Thanks for testing.  If there are no objections within a few days, I'll
>> push it to master.
>
> I didn't expect "a few days" to become almost two weeks, but I've
> finally pushed the fix to master as commit 6d8e0fc5aa.  I slightly
> changed the patch to account for using either the short or long form of
> the indicator switch, and I added a test.

Thanks.  I noticed an opportunity for a tiny bit of reuse:


--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline; filename=classify.diff

diff --git a/lisp/dired.el b/lisp/dired.el
index 63082fe392..3050a4bd2d 100644
--- a/lisp/dired.el
+++ b/lisp/dired.el
@@ -1261,6 +1261,10 @@ dired-switches-recursive-p
   "Return non-nil if the string SWITCHES contains -R or --recursive."
   (dired-check-switches switches "R" "recursive"))
 
+(defun dired-switches-classify-p (switches)
+  "Return non-nil if the string SWITCHES contains -F or --classify."
+  (dired-check-switches switches "F" "classify"))
+
 (defun dired-insert-directory (dir switches &optional file-list wildcard hdr)
   "Insert a directory listing of DIR, Dired style.
 Use SWITCHES to make the listings.
@@ -2588,7 +2592,7 @@ dired-move-to-end-of-filename
   (if (get-text-property (point) 'dired-filename)
       (goto-char (next-single-property-change (point) 'dired-filename))
     (let ((opoint (point))
-          (used-F (dired-check-switches dired-actual-switches "F" "classify"))
+          (used-F (dired-switches-classify-p dired-actual-switches))
           (eol (line-end-position))
           (hidden (dired--hidden-p))
           file-type executable symlink)
diff --git a/lisp/wdired.el b/lisp/wdired.el
index d2a298bd25..1e9c7f6c5a 100644
--- a/lisp/wdired.el
+++ b/lisp/wdired.el
@@ -626,8 +626,7 @@ wdired--restore-dired-filename-prop
                          ;; or "classify", don't treat appended
                          ;; indicator characters as part of the file
                          ;; name (bug#34915).
-                         (and (dired-check-switches dired-actual-switches
-                                                    "F" "classify")
+                         (and (dired-switches-classify-p dired-actual-switches)
                               (re-search-forward "[*/@|=>]$" lep t)))
                         (goto-char (match-beginning 0))
                       lep))

--=-=-=
Content-Type: text/plain


Which makes me wonder: is there no Dired function that
wdired--restore-dired-filename-prop can reuse for finding the boundaries
of a file name?  Is dired-move-to-end-of-filename not suitable?  It
seems to perform similar checks for symlinks and --classify.

-- 
Basil

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34915; Package emacs. Full text available.

Message received at 34915 <at> debbugs.gnu.org:


Received: (at 34915) by debbugs.gnu.org; 25 Apr 2019 17:28:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 25 13:28:37 2019
Received: from localhost ([127.0.0.1]:59257 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hJiAn-0000oc-4j
	for submit <at> debbugs.gnu.org; Thu, 25 Apr 2019 13:28:37 -0400
Received: from mout.gmx.net ([212.227.15.15]:57337)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1hJiAl-0000oO-4I
 for 34915 <at> debbugs.gnu.org; Thu, 25 Apr 2019 13:28:35 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1556213307;
 bh=Gy20xhzdynF+UOzKHC/3cj/6eoXv6gxK/0IYHJ8POng=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=UW2II6WTA5OTdNmmXCVcCz+4FD/8E5QMfvWFIsaU9uroBxJOsoaPhJmn/4Npg1ww7
 n4YJzJnS9v9zKz8kxlBQ9PYTJYCKo+TErfj2Hivu8+eI5M8sFO3GZQCSebLKcZeK49
 wxQ8MV3mZqU+f9wVdjeEJqUpY9NsB+xAhIQTjxu4=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from linux-tuxedo ([188.109.197.167]) by mail.gmx.com (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MtwUw-1gVzpX2r8O-00uJjm; Thu, 25
 Apr 2019 19:28:27 +0200
From: Stephen Berman <stephen.berman@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>
Subject: Re: bug#34915: 27.0.50; Wdired regression with ls -F
References: <871s33ugi3.fsf@HIDDEN> <87sguncsz9.fsf@HIDDEN>
 <87d0lrcrda.fsf@HIDDEN> <87ftqncr05.fsf@HIDDEN>
Date: Thu, 25 Apr 2019 19:28:26 +0200
In-Reply-To: <87ftqncr05.fsf@HIDDEN> (Stephen Berman's message of "Fri, 12 Apr
 2019 15:06:18 +0200")
Message-ID: <87sgu6f0zp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:Z2MXysbez/jA5hUtAmW+LWNspenRcszl/PeitVP4hSkRgo7eHtE
 S5gYUvAzNCWHK/3rGfko++TuADGbqDRDGdyYyjzH9o3y+xtNabSL+CdL+3sU1ou5fh8cEl4
 KsVtqtGbNdGXNDZCO06G8BpyQ6nFQ3csvnRg9TK/sm3y3CZAZIL9To5usI4WtCKbL6O/8H1
 m4vJEOzL3zUo2GOL3i1hA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:MR8HLQKHPQ4=:zZwRC2XcnVEsyxjW26JXEv
 JK1pP4XMv0Vfv7nlc5YNpSe5Tzm+vfgh+Cu8E7IDnstnfvoZJJA517fyTV3sAJwyn9oL8L8wz
 2jXSBztHYCOyhXTWoS8rJxpQY7Kd7Lofck/5K5/ygk/eFDvzz5kJf0E8ftJhP+a2VmTEJnyiR
 kQQAnS6WUqGkdxQe7SDypcw2acLK3NB0zZL8I73d/KnutArLLE5hqQ6XPath7M4oFO5jTYUTs
 WCH2CguYBgVRRghkdDyPQ7Y0W8PST/u0Kemv8xeVHDHGLQROzF6gKFlmbrEHhMBlLyoNUUrof
 lC9tErpL8Us9gxv84AOISmF3mNmlRndkSYYlDSBtdzLBVdzFZsMIck84DxO4Sq35GydCoA9NX
 /VI5UtqBg3W5pqEAt96rjRQkNJRjMkcp56slLOCCzbRoO+U6sMDfEEWoFwLT3jASVvr3nA5X/
 3GhWdA1DhNO+CUjoQjRdBQ+LB7PXiJEwu/y5DZ7rfUg31I0UQGqZnJeFKZqx/vG3VZBKWVAe9
 13pz45EUhWfeEe6k7kojJqXtUVNg6ARTiq4+MEUvIXNpgFym3xaXbNNbI5Wa05wpq1LfC3AKR
 9yECrh+hgp4pat2RmiyWemG8vVeAUNxlZXRYD42PAfpj5Mt+y3RZ4CW6zS2y91Wuk5m1l+nQX
 yViRCHlnvUiXpvQffecLeQ03yrKNIvABKX7kwc0FSMh1MeH/Sm7skNjAAZu0CBrtMWI7PHVde
 tU94Mi1qyCYFxvxqqdzLW/jXH539LpnpoZ0KqjW5ev8tFSePp8+ReoU6J5liR/A0DFMprLRV2
 6o8NCHUovyamjve6secAxrpB9bXErGv7lIjDtXQAUA4bnrl/jFnlx+TAxrMoGAL+84uSqfvlV
 e02eBLP7wV1rsk53BuEBNkNTmsdpk/l6G1OTTUqy7/s1nIRZOpJwCIMBOxNKhNuP5rXorbnKs
 PloxyLLf50A==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34915
Cc: 34915 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Fri, 12 Apr 2019 15:06:18 +0200 Stephen Berman <stephen.berman@HIDDEN> wrote:

> On Fri, 12 Apr 2019 13:58:25 +0100 "Basil L. Contovounesios" <contovob@HIDDEN> wrote:
>
>> Stephen Berman <stephen.berman@HIDDEN> writes:
>>
>>> On Tue, 19 Mar 2019 13:43:16 +0000 "Basil L. Contovounesios"
>>> <contovob@HIDDEN> wrote:
>>>
>>>> It seems like Wdired thinks the indicators added by ls (one of */=>@|)
>>>> are part of the file name now.
>>>
>>> This is indeed due to my changes.  The patch below appears to fix the
>>> problem, but I'm not sure how robust it is (I was also, and remain,
>>> unsure about my handling of symlinks in the previous patch, but I
>>> haven't found time to look at it more closely; at least I haven't seen
>>> any bug reports about it so far).
>>
>> I can confirm your patch fixes the issue, thanks!
>
> Thanks for testing.  If there are no objections within a few days, I'll
> push it to master.

I didn't expect "a few days" to become almost two weeks, but I've
finally pushed the fix to master as commit 6d8e0fc5aa.  I slightly
changed the patch to account for using either the short or long form of
the indicator switch, and I added a test.

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34915; Package emacs. Full text available.

Message received at 34915 <at> debbugs.gnu.org:


Received: (at 34915) by debbugs.gnu.org; 12 Apr 2019 13:06:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 12 09:06:33 2019
Received: from localhost ([127.0.0.1]:55606 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hEvt1-000333-AJ
	for submit <at> debbugs.gnu.org; Fri, 12 Apr 2019 09:06:33 -0400
Received: from mout.gmx.net ([212.227.17.22]:39329)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1hEvsz-00032q-6n
 for 34915 <at> debbugs.gnu.org; Fri, 12 Apr 2019 09:06:29 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1555074381;
 bh=yAA4SUw5G9TuLJL55SKrc/0KJglYhgRipHA4xKD6Qp0=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=NR7P2cSMjxkLC60oav5XwuUHCXmV3KBYiAE1ShgE3/8DxV5Jnu6fuLyxsIBT23X4u
 KBbSjgEp7grDKIk0OsgwPUBu9kesML7D6z5kiDgaT8jTWDabldbhMx+AuaCjYhLDJh
 KSCsCo83eCcP+gpY3+NdfakA1mYYH5imnur94Yv0=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from rosalinde ([188.101.27.7]) by mail.gmx.com (mrgmx101
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0MgoiC-1hSDXx0YFc-00M5VL; Fri, 12
 Apr 2019 15:06:21 +0200
From: Stephen Berman <stephen.berman@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>
Subject: Re: bug#34915: 27.0.50; Wdired regression with ls -F
References: <871s33ugi3.fsf@HIDDEN> <87sguncsz9.fsf@HIDDEN>
 <87d0lrcrda.fsf@HIDDEN>
Date: Fri, 12 Apr 2019 15:06:18 +0200
In-Reply-To: <87d0lrcrda.fsf@HIDDEN> (Basil L. Contovounesios's message of
 "Fri, 12 Apr 2019 13:58:25 +0100")
Message-ID: <87ftqncr05.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:5rmS6EyURs4bW8yGm7DoRXp32rSXFA0Fb0E7dNdD/2/8l1RrZ5l
 HNMNEkczh48XmpJfl5yfY4piVeIVDJhDWd0WfGSE5s+SrDvKHl0hwh5ZhhRkKLjIptyn1Ce
 hv0CMM8mT+y9rlOag+SclK86ALoJ6PC61bemO6ESZvVM3qj7Id40ufH6tSwqGsxIlV4Q4Y9
 zuPgDQ0JIaK9ys1ujhCWg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:+qrUSCe0I2w=:PXw3uH4sjdz9gwgjWy3CkE
 dy43yFORNwBUbazXNF4zUQEbh9H50dOyeBOuK5/Dj67NLMdTCLZSa+P0MQUW0S8zUyY0Cgkhr
 o41M9nNHFd2n8FKYjK6AdTvXnl09U2yIOVa3n1CIX4FyDR33ryY8v2FDIExz9s2mYBd7FswuE
 aVKW34lnrYCm3f16DU0Lal15L0gBilrwdYZUwWHNF0TWFH/8IYbM6sgAX9RnnqvlCJTcR9zXx
 0tXUICJ9jcPwZbKA5CQv3bRGF2zlrpCrufp+iS0KlipMQI5aT23y4cal/ivUQg00DHUStWZmX
 Yt3dR4fpiuXtvj+SwveWObR9EbE4NKpz7UjmGosjGIW8d/7MHEWEOmzHEMpiEumxr6yDqewJi
 uOGMUrkPajMkztb/KPuq8KJA7a653bBX5qoAcGUJjkFenaDGtRG2+KConChFXh+Z83DybOpFv
 FKqPY9U0gW9eXgpnXo7zQrCgOkB/jQxx47gh6GOqgywdF6e1t/jm8A0F1mQ5hFKDIwgxTE6go
 4nQdPK9pZk9n2UX/JiRS7ZNRi1MceJl3T7RNmhEiuZ2Fv7dR5w3/bJLEwD/plImkPMdgDQE4e
 /qQljqvhXwSCu/bSoufA6gIKP4Lnrpdv/x4WSmi+MFywxU3VTykKuQcZ8Z9IRZx1NECMNNOgB
 0GJAwuxx8yML89y7VKpCSJNRHhTpjuUA8gWnwZcqw4+2W5t1wTAzk/4BHfi7GF5O3Mgx7THPz
 pyJgesoD9AFpvtX+xFSSZBXevHEaTWLOFxkyxG9FSuaNVVRqs9Js/IFwyL3XKXfpFLaVkCTf4
 wetYtvRVcWYvvsPuFxZtzaEMCghhtX1krAlUF3SyIx2rytXAV9k77O+d5VF+7yII+djt6bzpP
 KaN9QcNHWK9DDHAINzDuBLIN76DTp/1owcKkNeW+HVVf06RDhf7mCKMC69KHxwXyi6fOHCwh6
 tTVfHmIIpVw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34915
Cc: 34915 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Fri, 12 Apr 2019 13:58:25 +0100 "Basil L. Contovounesios" <contovob@HIDDEN> wrote:

> Stephen Berman <stephen.berman@HIDDEN> writes:
>
>> On Tue, 19 Mar 2019 13:43:16 +0000 "Basil L. Contovounesios"
>> <contovob@HIDDEN> wrote:
>>
>>> It seems like Wdired thinks the indicators added by ls (one of */=>@|)
>>> are part of the file name now.
>>
>> This is indeed due to my changes.  The patch below appears to fix the
>> problem, but I'm not sure how robust it is (I was also, and remain,
>> unsure about my handling of symlinks in the previous patch, but I
>> haven't found time to look at it more closely; at least I haven't seen
>> any bug reports about it so far).
>
> I can confirm your patch fixes the issue, thanks!

Thanks for testing.  If there are no objections within a few days, I'll
push it to master.

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34915; Package emacs. Full text available.

Message received at 34915 <at> debbugs.gnu.org:


Received: (at 34915) by debbugs.gnu.org; 12 Apr 2019 12:58:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 12 08:58:41 2019
Received: from localhost ([127.0.0.1]:55595 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hEvlR-0002qe-1Z
	for submit <at> debbugs.gnu.org; Fri, 12 Apr 2019 08:58:41 -0400
Received: from mail-ed1-f43.google.com ([209.85.208.43]:38922)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1hEvlO-0002qR-QC
 for 34915 <at> debbugs.gnu.org; Fri, 12 Apr 2019 08:58:39 -0400
Received: by mail-ed1-f43.google.com with SMTP id k45so8249370edb.6
 for <34915 <at> debbugs.gnu.org>; Fri, 12 Apr 2019 05:58:38 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=s62fnBAydNFKgrHvmJ4R46AZv3LrkrXC5y7h/IH96hM=;
 b=P8ymIRe1tnktKVlp/zkbo21CVf5/5g1c4w3odAK31QGch7spGjW5ZjUBRgYQiqS6gC
 xrlCmyjxPRkEwx4nCWKrSEe5YF+DTvW2WUh9iUGzQvUF1x2NthQbpCJlJHMWq+9wE/1Q
 wqVcHQt6JqdqNWSzK8/O//6SHynl0bTmfO4dO81pXeyzMf+d44ngb27bxtdZJ+tiKyTG
 DhUCaa6LgctKjivOkluklre9JuN1BNSgLyjT6Ih/vbSmnM5GaDdv9Sk3HClJzg2GvyZl
 WOCnyHVpgZOvSQX3HR57j6SeTmYZuiN1vvABvPVSlzv1StnXdDjinmd3/oJo2OzZzAVZ
 ZJtw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=s62fnBAydNFKgrHvmJ4R46AZv3LrkrXC5y7h/IH96hM=;
 b=RgEKc8wVEnat++g+dYC7re5TwWaAqW9VtJbbo1/K4BEUOQ3pGj//eE9zJzErToKerv
 K/dCVPpx3h6PBnXXb0613Sc3/00C7dYFA8HFwUr9912uIl4QeFI99Vxj9kzfQxLNGWZX
 AMke3S/LaPTVbilzRDViH+28mLhbb+T/vHRzD35g2AbMdTZzF2snYjCV3EYiLefU+UUW
 s31RWPCWtY9V18rsjnNBEcQym2CrNN+CKpI1JZKn486Ipr+4jgSu/4rNhzcbFLCbCH1l
 5gp2tZazgXaVbfvZmWbBg74ND2t0DEcmtQmpE+QDrIg+AKaohuBCCeSGMBoDRtouTYf4
 EtSQ==
X-Gm-Message-State: APjAAAXEB4GDGJhgjN3PmqoZAeGuZUnzEDxAjF2lEru5uVPSjUkoLspk
 qLu8hYtW1oaAgAhnkQ/Y2bZLUA==
X-Google-Smtp-Source: APXvYqxQRehhcoSjXaNzDNdXigWF9VH07f321B00KWCCQ30Xu668o7/1W56ej7wm1klFOPaUun8Ygg==
X-Received: by 2002:a17:906:3589:: with SMTP id
 o9mr13629726ejb.193.1555073912912; 
 Fri, 12 Apr 2019 05:58:32 -0700 (PDT)
Received: from localhost ([2a02:8084:20e2:c380:f786:805d:f4ab:1006])
 by smtp.gmail.com with ESMTPSA id u10sm4266735edf.50.2019.04.12.05.58.31
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Fri, 12 Apr 2019 05:58:31 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#34915: 27.0.50; Wdired regression with ls -F
References: <871s33ugi3.fsf@HIDDEN> <87sguncsz9.fsf@HIDDEN>
Date: Fri, 12 Apr 2019 13:58:25 +0100
In-Reply-To: <87sguncsz9.fsf@HIDDEN> (Stephen Berman's message of "Fri, 12
 Apr 2019 14:23:38 +0200")
Message-ID: <87d0lrcrda.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34915
Cc: 34915 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stephen Berman <stephen.berman@HIDDEN> writes:

> On Tue, 19 Mar 2019 13:43:16 +0000 "Basil L. Contovounesios" <contovob@HIDDEN> wrote:
>
>> It seems like Wdired thinks the indicators added by ls (one of */=>@|)
>> are part of the file name now.
>
> This is indeed due to my changes.  The patch below appears to fix the
> problem, but I'm not sure how robust it is (I was also, and remain,
> unsure about my handling of symlinks in the previous patch, but I
> haven't found time to look at it more closely; at least I haven't seen
> any bug reports about it so far).

I can confirm your patch fixes the issue, thanks!

-- 
Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34915; Package emacs. Full text available.

Message received at 34915 <at> debbugs.gnu.org:


Received: (at 34915) by debbugs.gnu.org; 12 Apr 2019 12:23:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 12 08:23:50 2019
Received: from localhost ([127.0.0.1]:55569 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hEvDh-00022E-MO
	for submit <at> debbugs.gnu.org; Fri, 12 Apr 2019 08:23:49 -0400
Received: from mout.gmx.net ([212.227.17.22]:35551)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1hEvDf-000221-TX
 for 34915 <at> debbugs.gnu.org; Fri, 12 Apr 2019 08:23:48 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1555071819;
 bh=6O6YyXJofyJt2o/GKXwp5jc7FkxKrMHYCa4OJybvduc=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=W2E8uurbhQ5GTDdzFjfL38+bZrDPBmWkLqYt8wllCJQpjQlU2cYYKTyC11apIj4mX
 kuQuiV0FhW+oHq37VNMQ7v6gUjdtSWcgoifTrwQqiOeSSICqsTSnCIZsZpRNAHsDDj
 z+VG4/BabRUiUSJ/NJaLTkCx47i8UlX/MBoA0Ork=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from rosalinde ([188.101.27.7]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0M3MAG-1gxFqF33uy-00r1Hu; Fri, 12
 Apr 2019 14:23:39 +0200
From: Stephen Berman <stephen.berman@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>
Subject: Re: bug#34915: 27.0.50; Wdired regression with ls -F
References: <871s33ugi3.fsf@HIDDEN>
Date: Fri, 12 Apr 2019 14:23:38 +0200
In-Reply-To: <871s33ugi3.fsf@HIDDEN> (Basil L. Contovounesios's message of
 "Tue, 19 Mar 2019 13:43:16 +0000")
Message-ID: <87sguncsz9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:3H/HpFGlhSK56yDkWc6u6PVt3kXm4LBeyhWFdtkOY5DzHIVyxpe
 zY8F2eOZVkl16kNNvOSsPVJjqNQTy9NMZhJi1xLDIzNTsd+uzjVfYnyPBs8Kp+MURRroSuO
 Mr26t8Hkuc83Ffq2YsEy2io2aUKUstuc94mU5x1Qv/Uu4hc6eVdC3XA+l2/2zqD0BxDvOKz
 IsKWOBXnXDJiXLRSctgVQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:U/qH/PALsOM=:fsixF4I85SKNlIGBYd3kvc
 /vC0VJwuGLFOemy3DMJSkk/i4Nw+ghLbpmtt/PG6scLEDc3Udu51BuNnPXclf9bSb/9uzDWQx
 zHF9Po8mzW/8OX4rmjeFaICNI0NJa0siqa7+k0nR5A9JXlrRnME0JO1B3iPbnZ/KNRCC3RQpC
 HEsRyh85+scRtocpP4Qt/yp/scH98b7B2WjubcF0BRbwjJiOECqa8/lX4nhftsL/Hl9aQJwnP
 MigSznpuIyf6u9Yuvm9f7+mjoOweeAtcfiwasgJgsnMdb0mERjWF3A8mUogNHSOpVzyFSC5Oo
 vQYlibx+sfvk2B3lHCjgVYNd0E9EqAm4i1iR7Be8OHiwSZdek/WoQOO7F7wQTIFE/wWdPE4IM
 M37Dz23IQWmsTwn5BGXHhDidPNKtyxuRmyD/I/EJoAT9nPpQb+QlbHydQFIOC3l8gW4M/YR8t
 sRDr4wdI3nBqbrdYtUsCSYgC+YsTqfqVUXr1egxCMv/lNa0MEdZ66n0NN8OzHY+GlpIpgGtnt
 bfE5A0rBB5FOInjuS4rTaPsnwMu1tpAg1YrRKoJr6Ky6Sdww/hR3icHpVqlkp8bgSxD3IDisU
 r+B0qo3ePWbeNc4SYTLk7x0mSxkpXNEvN96IY0Zf2EyTOZyQ5wy+YwWGJbacKLF9jvBIfyBrK
 ha97/ZEs2OEQFlInJ9N0XvwNg5/U+WimgyqLnj+PDnJVXIjU2lwje5YR+dsuqL4QXFy5OIh80
 gptQfOeXe7vrBA4RQFKIdXvJMPJUA402qzAuXcYYZtY3MKOcguCojQCDlL7rUBy+xjP0sEDex
 6w8hEkqo3KaQoFl/rInxuDIXqx0fH+bXbxVkVW+NKMeIw6f4o0WPu7F/FeorAAuilzx3ZEBZ9
 FMK0JKmgUMxMtolKV5peJv7L1b+Sg83n/L7EwRvydXItyQ5IA/yqJOSL1Tn5rtK9MaU8Tc3dU
 26QpwLnpD0g==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34915
Cc: 34915 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Tue, 19 Mar 2019 13:43:16 +0000 "Basil L. Contovounesios" <contovob@tcd.=
ie> wrote:

> X-Debbugs-Cc: Stephen Berman <stephen.berman@HIDDEN>
>
> The following behaviour is present in master but not emacs-26.
> I haven't bisected the issue to Stephen's changes to Wdired, but I
> checked that it wasn't caused by Stefan's recent changes to Dired.
>
> 0. emacs -Q
> 1. (progn (setq dired-listing-switches "-Fl")
>           (dired (make-temp-file "my-wdired-" t)))
>    C-j
> 2. M-x dired-create-empty-file RET exec RET
> 3. M +x RET
> 4. M-x wdired-change-to-wdired-mode RET
> 5. w C-c C-c
>    1 rename actions failed--type ? for details
> 6. ?
>    Rename =E2=80=98/tmp/my-wdired-tMSVuW/exec*=E2=80=99 to =E2=80=98/tmp/=
my-wdired-tMSVuW/wexec*=E2=80=99 failed:
>    (file-missing Renaming No such file or directory
>                  /tmp/my-wdired-tMSVuW/exec*
>                  /tmp/my-wdired-tMSVuW/wexec*)
> 7. M-x dired-create-empty-file RET plain RET
> 8. M-x wdired-change-to-wdired-mode RET
> 9. w C-c C-c
>
> This wdired-finish-edit succeeds, but instead of only renaming 'plain'
> to 'wplain', it also renames 'exec' to 'exec*'.
>
> It seems like Wdired thinks the indicators added by ls (one of */=3D>@|)
> are part of the file name now.

This is indeed due to my changes.  The patch below appears to fix the
problem, but I'm not sure how robust it is (I was also, and remain,
unsure about my handling of symlinks in the previous patch, but I
haven't found time to look at it more closely; at least I haven't seen
any bug reports about it so far).

Steve Berman

diff --git a/lisp/wdired.el b/lisp/wdired.el
index acc62e4e39..ca3e2f7845 100644
--- a/lisp/wdired.el
+++ b/lisp/wdired.el
@@ -612,14 +612,21 @@ wdired--restore-dired-filename-prop
         (when (re-search-forward
                directory-listing-before-filename-regexp lep t)
           (setq beg (point)
-                ;; If the file is a symlink, put the dired-filename
-                ;; property only on the link name.  (Using
-                ;; (file-symlink-p (dired-get-filename)) fails in
-                ;; wdired-mode, bug#32673.)
-                end (if (and (re-search-backward
-                              dired-permission-flags-regexp nil t)
-                             (looking-at "l")
-                             (search-forward " -> " lep t))
+                end (if (or
+                         ;; If the file is a symlink, put the
+                         ;; dired-filename property only on the link
+                         ;; name.  (Using (file-symlink-p
+                         ;; (dired-get-filename)) fails in
+                         ;; wdired-mode, bug#34915.)
+                         (and (re-search-backward
+                               dired-permission-flags-regexp nil t)
+                              (looking-at "l")
+                              (search-forward " -> " lep t))
+                         ;; When using the -F switch, don't treat file
+                         ;; type indicator characters as part of the
+                         ;; file name (bug#34915).
+                         (and (string-match "F" dired-actual-switches)
+                              (re-search-forward "[*/@|=3D>]$" lep t)))
                         (goto-char (match-beginning 0))
                       lep))
           (put-text-property beg end 'dired-filename t))))))




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34915; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Mar 2019 13:49:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 19 09:49:49 2019
Received: from localhost ([127.0.0.1]:49705 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h6F7l-0005A9-8i
	for submit <at> debbugs.gnu.org; Tue, 19 Mar 2019 09:49:49 -0400
Received: from eggs.gnu.org ([209.51.188.92]:37959)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1h6F7i-00059r-78
 for submit <at> debbugs.gnu.org; Tue, 19 Mar 2019 09:49:47 -0400
Received: from lists.gnu.org ([209.51.188.17]:52305)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <contovob@HIDDEN>) id 1h6F7X-0003JJ-SC
 for submit <at> debbugs.gnu.org; Tue, 19 Mar 2019 09:49:37 -0400
Received: from eggs.gnu.org ([209.51.188.92]:52265)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <contovob@HIDDEN>) id 1h6F7W-000747-TC
 for bug-gnu-emacs@HIDDEN; Tue, 19 Mar 2019 09:49:35 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,URIBL_BLOCKED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <contovob@HIDDEN>) id 1h6F1b-0001Np-Ox
 for bug-gnu-emacs@HIDDEN; Tue, 19 Mar 2019 09:43:28 -0400
Received: from mail-wm1-x32b.google.com ([2a00:1450:4864:20::32b]:52302)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <contovob@HIDDEN>) id 1h6F1b-0001J6-6N
 for bug-gnu-emacs@HIDDEN; Tue, 19 Mar 2019 09:43:27 -0400
Received: by mail-wm1-x32b.google.com with SMTP id a184so2860808wma.2
 for <bug-gnu-emacs@HIDDEN>; Tue, 19 Mar 2019 06:43:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=PWikdy0npxu9CjhBaNfaK/6pXYhvQNmvwjfu2GGG2BQ=;
 b=LA/O4qH3O2WIN1OYR9VHZA8e9pCp5oGjahiCH7xJUqCi8iZQ8Yl6dIxI0S/r6G12rZ
 X5+tSb7k02A9iCPZ4IEBBIaWRNVwqRTclXz0IsPc32O3DCPlYAP/i65ebqk7HtDtCj1G
 t0ukvji/GUAKuANf05vEpFFKH6uzgGDuh6TzO9QP2gLr5ai1nvpcbrPauACu0sqGYP4H
 1qMUwN7Nk7I7MPv0+KOztkxXRGrearYPMABXchu0xvMWGfqHWlqruhaS1p5z79xmHel0
 U/VIsWymFUSXQTZHBS8R2fm8sczO79abNnR13iTs0D0q6Y1RHuB/gM5X6WuUvleZwGq9
 vfcA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=PWikdy0npxu9CjhBaNfaK/6pXYhvQNmvwjfu2GGG2BQ=;
 b=Sz4di6FJp6krPT7vceU4ucJRU+ZF51LgdALtRBr+ZTpXS62jjxQtFzCwdOHjZigjuz
 Pc8HVwRfTAlde9SBhqueyPGos2OnnIkUcRyjZcbErbKFZ0W5KAn2ksaIlyzITQ7hSzS/
 jzBl+SIbwFzAuwo3nqas5oUQ/DbEBayh0KDHKngnqKM5wlqO/BR6eIRj51C5r/iXseYX
 ahaSur3OkcxsEN6QCYIZuWFp0u5aoqxApg6An9h4dh8gXvmtqnSRtZwqbtvE4hZ50sOV
 0Jwqp7ER/8ZZxp+m1hrMcoy0JG2nb6GiGI/1hQFICx69kEOu/s9rI2GmHkIW+Ena7Nzz
 3xMQ==
X-Gm-Message-State: APjAAAVMmBPHhENFtgHiH1LSGejAuAyaEuA7ut3IiGmg9mxqzuJSi8EY
 a5EWKqsZHhVYjSFzpHqE3h+o2UOLEAePoA==
X-Google-Smtp-Source: APXvYqx1O+Bv5/k1M9jMOEkGqdfrzNB0SPWOBR5BLLZQx9ArtM4ABfDSIsEh66sE91XcMnrW7lb+OQ==
X-Received: by 2002:a1c:55c3:: with SMTP id j186mr3890936wmb.5.1553003004820; 
 Tue, 19 Mar 2019 06:43:24 -0700 (PDT)
Received: from localhost ([163.172.211.46])
 by smtp.gmail.com with ESMTPSA id l5sm1481911wmi.24.2019.03.19.06.43.23
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Tue, 19 Mar 2019 06:43:24 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.50; Wdired regression with ls -F
Date: Tue, 19 Mar 2019 13:43:16 +0000
Message-ID: <871s33ugi3.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::32b
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

X-Debbugs-Cc: Stephen Berman <stephen.berman@HIDDEN>

The following behaviour is present in master but not emacs-26.
I haven't bisected the issue to Stephen's changes to Wdired, but I
checked that it wasn't caused by Stefan's recent changes to Dired.

0. emacs -Q
1. (progn (setq dired-listing-switches "-Fl")
          (dired (make-temp-file "my-wdired-" t)))
   C-j
2. M-x dired-create-empty-file RET exec RET
3. M +x RET
4. M-x wdired-change-to-wdired-mode RET
5. w C-c C-c
   1 rename actions failed--type ? for details
6. ?
   Rename =E2=80=98/tmp/my-wdired-tMSVuW/exec*=E2=80=99 to =E2=80=98/tmp/my=
-wdired-tMSVuW/wexec*=E2=80=99 failed:
   (file-missing Renaming No such file or directory
                 /tmp/my-wdired-tMSVuW/exec*
                 /tmp/my-wdired-tMSVuW/wexec*)
7. M-x dired-create-empty-file RET plain RET
8. M-x wdired-change-to-wdired-mode RET
9. w C-c C-c

This wdired-finish-edit succeeds, but instead of only renaming 'plain'
to 'wplain', it also renames 'exec' to 'exec*'.

It seems like Wdired thinks the indicators added by ls (one of */=3D>@|)
are part of the file name now.

--=20
Basil

In GNU Emacs 27.0.50 (build 4, x86_64-pc-linux-gnu, X toolkit, Xaw3d scroll=
 bars)
 of 2019-03-19 built on thunk
Repository revision: c0936672876bccc15e7899e83d8ab99910f8feee
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12003000
System Description: Debian GNU/Linux buster/sid

Configured using:
 'configure 'CC=3Dccache gcc' 'CFLAGS=3D-O2 -march=3Dnative -pipe'
 --config-cache --prefix=3D/home/blc/.local --with-mailutils
 --with-x-toolkit=3Dlucid --with-modules --with-file-notification=3Dyes
 --with-x'

Configured features:
XAW3D XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GSETTINGS
GLIB NOTIFY INOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT
LIBOTF XFT ZLIB TOOLKIT_SCROLL_BARS LUCID X11 XDBE XIM MODULES THREADS
LIBSYSTEMD JSON PDUMPER LCMS2 GMP




Acknowledgement sent to "Basil L. Contovounesios" <contovob@HIDDEN>:
New bug report received and forwarded. Copy sent to stephen.berman@HIDDEN, bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to stephen.berman@HIDDEN, bug-gnu-emacs@HIDDEN:
bug#34915; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 30 Dec 2019 19:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.